# Build artifacts (ISOs, LXC containers, etc.)
{
  inputs,
  self,
  lib,
  config,
  ...
}:
{
  perSystem =
    { system, ... }:
    lib.mkIf (system == "x86_64-linux") {
      packages =
        let
          fleet = self.lib.mkFleet { inherit inputs lib config; };
          artifacts = import ../installer/artifacts.nix {
            inherit
              inputs
              fleet
              self
              system
              ;
          };
        in
        artifacts;
    };
}
